package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.TrafficTravel;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSTrafficTravelService {
    List<TrafficTravel> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(TrafficTravel inputModel);

    TrafficTravel edit(long id);

    ResultState doEdit(TrafficTravel inputModel);
}
